unless defined?(Motion::Project::Config)
  raise "This file must be required within a RubyMotion project Rakefile."
end

lib_dir_path = File.dirname(File.expand_path(__FILE__))
ext_dir_path = File.join(File.dirname(lib_dir_path), 'ext')

Motion::Project::App.setup do |app|
  app.files.unshift(Dir.glob(File.join(lib_dir_path, "fixed-motion/**/*.rb")))
  app.vendor_project(ext_dir_path, :static)
end
